loaders:
  - type: python
    search_path: [".."]
    ignore_when_discovered: ["__init__.py"]
processors:
  - type: filter
    expression: not name.startswith('_') and default()
    documented_only: false
  - type: smart
  - type: crossref
renderer:
  type: mkdocs
  output_directory: "."
  content_directory_name: "docs"
  pages:
    - title: Home
      name: index
      source: index.md
    - title: API Documentation
      contents:
        - '*'
  mkdocs_config:
    site_name: My Python Module
    theme: readthedocs
